This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11115 - xlockmore crashes (?) on alpha
xlockmore crashes (?) on alpha
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: Mesa (Show other bugs)
6.2
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: Security
: 14275 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-29 07:55 EDT by Alexandre Oliva
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 18:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Don't use Mesa on alpha, it crashes within find_last_3f() (650 bytes, patch)
2000-05-28 05:50 EDT, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Alexandre Oliva 2000-04-29 07:55:03 EDT
My personal console is an AlphaStation 200 4/166.  I always start xlock
before leaving the workstation alone, but, since I upgraded to Redhat 6.2,
it's very seldom been there when I return.
Comment 1 Alexandre Oliva 2000-04-29 20:39:59 EDT
I've started to run xlock from xterms, so that I could get any error messages it
could print.  Here's one I've just got:

xlock: caught signal 11 while running sproingies mode (uid 404).
Comment 2 Alexandre Oliva 2000-05-28 05:48:59 EDT
The problem shows up only in modes that depend on MesaGL, so I'm disabling it by
now.  I'll try to attach the spec patch that accomplishes this.
Comment 3 Alexandre Oliva 2000-05-28 05:50:59 EDT
Created attachment 273 [details]
Don't use Mesa on alpha, it crashes within find_last_3f()
Comment 4 Bill Nottingham 2000-06-11 14:42:57 EDT
Hmm... we'll do that if we can't get this fixed
before the next release. Ideally, I'd like to fix
the GL libraries...
Comment 5 Bill Nottingham 2000-07-19 10:59:46 EDT
*** Bug 14275 has been marked as a duplicate of this bug. ***
Comment 6 Bill Nottingham 2000-07-19 11:00:18 EDT
Reassigning to Mesa, that's where the problem is.
Comment 7 Mike A. Harris 2002-01-18 06:37:18 EST
I'm curious if this problem still occurs in Red Hat Linux 7.1 or not, or in
any current Alpha builds of Mesa.
Comment 8 Alexandre Oliva 2002-01-18 18:53:02 EST
I'm afraid the box on which I had seen the problem died a couple of months ago,
and the other, much newer alpha boxes I have access to, the problem never
occurred, and I've just confirmed that it doesn't occur even on Red Hat Linux
7.0.  Perhaps it would be appropriate to change this to WORKSFORME and be done
with it?  It might well be the case that the machine was already giving signs of
dying back then, or it might have been some choice to use instructions not yet
available on that old alpha machine.

Note You need to log in before you can comment on or make changes to this bug.